Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class DiagramElement

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.model.DiagramElement

Direct Known Subclasses:
  Edge, Node

public abstract class DiagramElement
extends MutableDataElementSupport

Common definition of diagram element. Digram element is wrapper for some data element - kernel. This kernel is storing all specific data.

pending use `CompositeView` instead of `View`., provide `DynamicProperties` to store any additiona data.

Constructor Summary
`DiagramElement(DataCollection parent, String name, Base kernel)` Constructs the diagram element.
`DiagramElement(DataCollection parent, Base kernel)` Constructs the diagram element.

Method Summary
`DiagramElement` | `clone(Compartment newParent, String newName)`
`String` | `getComment()`
`Base` | `getKernel()`
`Role` | `getRole()`
`String` | `getTitle()`
`View` | `getView()`
`boolean` | `isKernelHidden()`
`boolean` | `isRoleHidden()`
`void` | `setComment(String comment)`
`void` | `setKernel(Base kernel)`
`void` | `setRole(Role role)`
`void` | `setTitle(String title)`
`void` | `setView(View view)` Normally this function should be called by `DiagramViewBuilder`.

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Constructor Detail

### DiagramElement

    public DiagramElement(DataCollection parent, String name, Base kernel)

  Constructs the diagram element.
  Parameters:
    parent - the parent compartment
    name - the diagram element name
  kernel the data element storing specific data.

### DiagramElement

    public DiagramElement(DataCollection parent, Base kernel)

  Constructs the diagram element.
  Parameters:
    parent - the parent compartment
  kernel the data element storing specific data.

Method Detail

### clone

    public DiagramElement clone(Compartment newParent, String newName)

### getComment

    public String getComment()

### getKernel

    public Base getKernel()

### getRole

    public Role getRole()

### getTitle

    public String getTitle()

### getView

    public View getView()

  returns the `DiagramElement` view.

### isKernelHidden

    public boolean isKernelHidden()

### isRoleHidden

    public boolean isRoleHidden()

### setComment

    public void setComment(String comment)

### setKernel

    public void setKernel(Base kernel)

### setRole

    public void setRole(Role role)

### setTitle

    public void setTitle(String title)

### setView

    public void setView(View view)

  Normally this function should be called by `DiagramViewBuilder`.

Association Links

to Class biouml.standard.type.Base

to Class ru.biosoft.graphics.View

  The `DiagramElement` view.

to Class java.lang.String

  The `DiagramElement` title. By default title is kernel element name. However a user can change the diagram element title.

to Class java.lang.String

  Any comment can be assotiated with a `DiagramElement`.

to Class biouml.model.Role

  Any {@link Role} can be assotiated with a `DiagramElement`.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM